function  battle_sai015(npcID)--楼兰王

	
	local m=flag.GetBattleValue(16001)
	m=m+1
	flag.SetBattleValue(16001,m)
	local n=flag.GetBattleValue(16002)
	
	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	if m%4==3 and (battle.CheckNpcPlace(4)==1 or battle.CheckNpcPlace(5)==1 or battle.CheckNpcPlace(6)==1 or battle.CheckNpcPlace(7)==1) then
		battle.BeginSummon()
		if battle.CheckNpcPlace(4)==1 then
			battle.AddNpc(10116,4)
		end
		if battle.CheckNpcPlace(5)==1 then
			battle.AddNpc(10116,5)
		end
		if battle.CheckNpcPlace(6)==1 then	
			battle.AddNpc(10116,6)
		end
		if battle.CheckNpcPlace(7)==1 then	
			battle.AddNpc(10116,7)
		end
		global.Wait(3)
		battle.Skip()
	else
		if n~=4 then
			local a=battle.GetRndNumber(1,10)
			if a>=1 and a<=3 then
				n=n+1
				flag.SetBattleValue(16002,n)
				id=battle.GetRndPlayer()
				battle.MagicToPlayer(id,1546,1)
			elseif a>=4 and a<=5 then
				n=n+1
				flag.SetBattleValue(16002,n)
				battle.MagicToPlayer(0,1547,1)

			elseif a>=6 and a<=8 then
				n=n+1
				flag.SetBattleValue(16002,n)
				battle.MagicToPlayer(0,1548,1)

			else
				flag.SetBattleValue(16002,0)
				battle.MagicToPlayer(0,1549,1)

			end
		else
			flag.SetBattleValue(16002,0)
			battle.MagicToPlayer(0,1549,1)
		end
	end
	
	

end